Bug 975376 - virsh setmem then dompmsuspend to disk will hang forever
virsh setmem then dompmsuspend to disk will hang forever
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
:
Depends On: 878966
Blocks: Virt-S3/S4-7.0
  Show dependency treegraph
 
Reported: 2013-06-18 06:00 EDT by Jincheng Miao
Modified: 2016-04-26 10:58 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 878966
Environment:
Last Closed: 2015-03-05 09:57:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Jincheng Miao 2013-06-18 23:38:15 EDT
This bug cannot be reproduced again after I update qemu-kvm-1.4.0-3.el7 to qemu-kvm-1.5.0-2.el7. And downgrade the qemu-kvm also will not reproduce it.

the steps like:
1.
# virsh start r7
Domain r7 started

2.
# virsh dompmsuspend r7 --target disk
Domain r7 successfully suspended

3.
# virsh start r7
Domain r7 started

4.
# virsh dompmsuspend r7 --target disk
Domain r7 successfully suspended

5.
# virsh start r7
Domain r7 started

6.
# virsh setmem --live r7 2048000

7.
# virsh dompmsuspend r7 --target disk
error: Domain r7 could not be suspended
error: internal error unable to execute QEMU agent command 'guest-suspend-disk': child process has failed to suspend

the step 7 should hang for this bug, but not.

Note You need to log in before you can comment on or make changes to this bug.